package com.ecep.contract.controller.table.cell;

import static com.ecep.contract.SpringApp.getBean;

import com.ecep.contract.model.EmployeeRole;
import com.ecep.contract.service.EmployeeRoleService;

import lombok.NoArgsConstructor;

/**
 * 角色表格列
 *
 * @param <V>
 */
@NoArgsConstructor
public class EmployeeRoleTableCell<V> extends AsyncUpdateTableCell<V, EmployeeRole> {

    public EmployeeRoleTableCell(EmployeeRoleService service) {
        setService(service);
    }

    @Override
    protected EmployeeRoleService getServiceBean() {
        return getBean(EmployeeRoleService.class);
    }
}
